View Issue Details

IDProjectCategoryView StatusLast Update
0002184DrawingBugpublic2017-09-24 15:47
Reportermghansen256 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformKubuntuOSOS Version
Product Version0.16 
Target VersionFixed in Version 
Summary0002184: Drawing template filenames for ISO7200 are numbered consecutively but corresponding files do not exist
DescriptionWhen creating multiple drawing sheets for A4-ISO7200, the filenames of the templates are the full path to the ISO7200 SVG for the first page, but end in ISO72001 for the second page you created. The file ending in ISO72001 does not exist, and therefore the page signals an error condition in the tree view.
Steps To Reproduce1. Create a new file.
2. Using the drawing view, create an A4 ISO 7200 based page.
3. Create a second A4 ISO 7200 page.
4. Check the template names for the pages. They are ok.
5. Save the file and close it.
6. Re-open the file.
7. Check the template names again, they are now consecutively numbered.
8. Try adding a 3D object such as a part to the page, it fails.
Additional InformationOS: Ubuntu 14.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5171 (Git)
Build type: None
Branch: master
Hash: 6c32edfb8c8f95fb51f0cba694fc46c53fb0059d
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Relationships

related to 0001963 closedwmayer FreeCAD Only write needed user data in FCSTD file if any. 

Activities

triplus

2015-07-06 18:21

developer   ~0006245

Last edited: 2017-02-07 03:17

View 2 revisions

Related to:

0001963

P.S. It affects all drawing templates not just ISO7200 ones.

Kunda1

2017-01-19 00:16

administrator   ~0007869

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=20030

wmayer

2017-09-24 15:47

administrator   ~0010170

This was a problem in 0.16 only. Previous versions were not affected and in 0.17 it's solved again.

Issue History

Date Modified Username Field Change
2015-07-06 13:30 mghansen256 New Issue
2015-07-06 18:21 triplus Note Added: 0006245
2017-01-17 20:02 Kunda1 Relationship added related to 0001963
2017-01-19 00:16 Kunda1 Note Added: 0007869
2017-02-07 03:17 Kunda1 Note Edited: 0006245 View Revisions
2017-09-24 15:47 wmayer Status new => closed
2017-09-24 15:47 wmayer Resolution open => fixed
2017-09-24 15:47 wmayer Product Version 0.15 => 0.16
2017-09-24 15:47 wmayer Fixed in Version => 0.17
2017-09-24 15:47 wmayer Target Version => 0.17
2017-09-24 15:47 wmayer Note Added: 0010170